- name: Create vlti group
  group:
    name: vlti
    state: present


- name: Create user account
  user:
    name: "{{ user_login }}"
    comment: "{{ user_login | upper }} tutorial user"
    uid: 1111
    shell: /bin/bash
    groups: sudo,vlti,docker
    append: yes



- name: Grant sudo access without password
  lineinfile:
    path: /etc/sudoers
    state: present
    regexp: '^{{ user_login }}\s'
    line: '{{ user_login }} ALL=(ALL) NOPASSWD:ALL'

- name: Create bin directory in user's home
  file:
    path: "/home/{{ user_login }}/bin"
    state: directory
    mode: 0755
    owner: "{{ user_login }}"
    group: vlti

